-- Вещи ----------------------------------------------------------------
oPech = obj {
        nam = 'печь',
        dsc = 'В доме деление на комнаты условно. Посередине стоит громадная {печь}, на которой лежат стопки газет, очки.',
	act = 'Русская печь, замечательная штука. Недавно побелена и по одной стороне украшена живописными изразцами.',
};

oSamogon = obj {
	nam = 'самогон',
	dsc = function()
	    if oSamogon._Take then
	        return 'В углу приютились бутылочки самогона. Ясно, чем бабка зарабатывает себе на жизнь.'
	    end
	    return 'В углу приютились {бутылочки самогона}. Ясно, чем бабка зарабатывает себе на жизнь.'
	end,
	inv = 'Нет, я не стану пить эту отраву.',
	act = ActTakeOnce(s, 'Разнокалиберные бутылки с белесоватой жидкостью.', 'Возьму одну бутылку.'),
	use = function(s, w)
		if w == 'npcDed' then
		    inv():del(oSamogon);
			ref(w)._happy = true;
			oSamogon._Take = true;
			return [[Протянула бутылку с пойлом.^]]..goto(npcDedDlg)
		end
	end,
};


oBad = obj {
        nam = 'кровать',
	dsc = function(s)
		local ret = '.'; 
		if objs():look('oBag') then
			ret = ',';
		end;
		return 'Слева от излюбленного осами окошка стоит {моя кровать}'..ret;
	end,
        act = [[Старенькая советской послевоенной выделки кровать с промятой панцирной сеткой и забавным литьём на грядушках. 
		Но застелена чистым бельём и вполне сойдёт на пару ночей.]],
};

oBag = obj {
        nam = 'рюкзак',
	dsc = 'сейчас на ней лежит походный {рюкзак}.',
        act = function(s)
		inv():add(oMatches);
		inv():add(oKnife);
		objs():del(s);
		return 'Так, и что тут у нас? Спички и ножик могут пригодиться.'
	end,
};


oMatches = obj {
    nam = 'спички',
	inv = 'А куда же без них?',
	use = function (s, w)
		if w == 'oPlita' then
			ref(w)._work = true;
			-- должна быть кастрюля с водой.
			local k = objs():srch('oKastrula');
			if k then
				k = ref(k);
				if k and k._state == 1 then
					k._state = 2;
					return 'Зажгла газ на плите. Вода в кастрюле стала нагреваться.', false;
				elseif k and k._state == 2 then
					return 'Еда уже готова!', false;
				end
			end
			return 'Зажгла газ на плите.', false;
		end
		if w == 'oWhiteStonePalatka' and npcBtard._Hungry then
		    return [[Поджечь палатку спичками?! Хм... А вдруг лесной пожар случится? Лучше не надо!]]
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Сомневаюсь, что ему нужны спички.'
		end
		
		if w == 'oLesVetkiS' or w == 'oLakeVetki' then
            return 'Поджечь ветки, чтобы устроить костёр? Заманчиво. Могла бы картошки напечь. Но лениво.'
        end
        
	end,
	used = function (s, w)
	     if w == 'oLesVetkiS' or w == 'oLakeVetki' then
            return 'Поджечь ветки, чтобы устроить костёр? Заманчиво. Могла бы картошки напечь. Но лениво.'
         end
        
	end,
};


oKnife = obj {
    nam = 'нож',
    dsc = 'Под столом лежит упавший {нож}.',
    act = function()
        if not have(oKnife) then
            inv():add(oKnife);
            objs():del(oKnife);
            return 'Подобрала нож.'
        end
        return 'Ужасно, меня им чуть не зарезали!'
    end,
	inv = 'Всегда нужно иметь при себе.',
	use = function (s, w)
		if not ref(w)._ready 
		and (w == 'oShest'
		-- Продукты
		or w == 'oKartoshka'
		or w == 'oMorkov' 
		or w == 'oLuk'
		or w == 'oZelen' 
		or w == 'oGriby' 
		or w == 'oRyba') then
			
			if w == 'oShest' then
			    ref(w)._ready = true;
				return 'Срезала все заусенцы и боковые веточки. Вышел отличный шест - лёгкий и прочный.';
			elseif w == 'oKartoshka' and not (me().where == 'rBabaOgorod') then
			    ref(w)._ready = true;
				return 'Почистила и порезала кубиками картошку.';
			elseif w == 'oMorkov' and not (me().where == 'rBabaOgorod') then
			    ref(w)._ready = true;
				return 'Покрошила морковку.' 
			elseif w == 'oLuk' and not (me().where == 'rBabaOgorod') then
			    ref(w)._ready = true;
				return 'Обливаясь слезами, порезала лук.'
			elseif w == 'oZelen' and not (me().where == 'rBabaOgorod') then
			    ref(w)._ready = true;
				return 'Измельчила зелень.'
			elseif w == 'oGriby' then
			    ref(w)._ready = true;
				return 'Нарезала грибов.'
			elseif w == 'oRyba' then
			    ref(w)._ready = true;
				return 'Почистила и выпотрошила рыбу.'
			else
				return 'Готовить лучше на кухне.'
			end
	
		elseif w == 'oGribSiroezhka' then
			if game._meetBtard and not game._supGotov then
				return 'Я не хочу отравиться!';
			end
			return 'Зачем это мне? Только ножик пачкать.'
		elseif w == 'oLakeKoza' and IsLakeKoza() then
			return 'Я не хочу убивать животных!'
		elseif w == 'oIzbushkaSkatert' then
			oIzbushkaObed._napolu = true;
			objs():del('oIzbushkaSkatert');
			inv():add('oVerevka');
			return 'Стряхнула обед крысам и порезала скатерть на полосы. Получилось несколько кусков чего-то вроде верёвки.'
		end
		
	end,
};


oVerevka = obj {
	nam = 'верёвка',
	inv = 'Несколько довольно длинных и крепких перекрученных полос клеёнки.',
	use = function(s, w)
		if w == 'npcDed' then
			inv():del(s);
			ref(w)._fixed = true;
			return 'Хорошенько связала деда по рукам и ногам.'
		end
	end
};


oPlita = obj {
        nam = 'газовая плита',
        dsc = [[^В кухонной части есть {газовая плита},]],
	_work = false,
        act = function(s)
		if s._work then
			if game._meetBtard then
				k = objs():srch('oKastrula');
				if k and ref(k)._state == 2 then
					if ref(k)._result < 0 then
						return 'Чего-то в супе не хвататет... Выключать рановато.'
					end 
					s._work = false;
					game._supGotov = true;
					return 'Потушила газ. Еда готова!'
				end
				k = inv():srch('oKastrula');
				if k then
					return 'На плите горит газ.';
				end
			end
			s._work = false;
			return 'Потушила газ.'
		end
		return 'Маленькая одноконфорочная газовая плитка. Газ идёт от газового баллона.';
	end,
};


oVedro = obj {
       	nam = 'ведро с водой',
	dsc = 'рядом с ней {ведро с водой}.',				
	act = 'Попила колодезной водички.',
};




oKastrula = obj {
        nam = 'кастрюля',
	dsc = function(s)
		if s._state == 0 then
			return 'В шкафу много всякой утвари, в том числе {пустая кастрюля}.';
		end
		return 'На плите стоит {кастрюля}.';
	end, 
	_state = 0, -- Состояние кастрюли: 0 -пустая, 1 - c холодной водой, 2 -- готова (нагрета)
	_kartoshka = false,
	_morkov = false,
	_luk = false,
	_sol = false,
	_zelen = false,
	_griby = false,
	_ryba = false,
	_result = -1, -- Что сварили: -1 вода 0 пресное варево 1 варёная картошка, 2 овощной суп, 3 грибной суп, 4 уха, 5 ведьмина похлёбка
	act = function(s)
		if s._state == 0 then
			if game._meetBtard then
				take(s);
				return 'Полезная штука.';
			end
			return 'Большая алюминевая кастрюля. Чистая, пустая. Щёлкнешь по ней пальцем - зазвенит.';
		end
		return GetKastrulaDescription(s); 
	end,
	inv = function(s)
		return GetKastrulaDescription(s); 
	end,
	use = function (s, w)
		if w == 'oVedro' then
			if s._state == 0 then
				s._state = 1;
				return 'Налила в кастрюлю воду.';
			end
			return 'В кастрюле воды уже достаточно.'
		elseif w == 'oPlita' then
			if s._state == 0 then
				return 'Стоит налить воды перед тем, как поставить на плиту.'
			end
			drop(s);
			if ref(w)._work then
				s._state = 2;
				return 'Поставила кастрюлю на плиту. Вода стала нагреваться.';
			end;
			return 'Поставила кастрюлю на плиту.';
		end
		
		-- Вычисляем, что получилось
		if not s._sol then -- НЕ солёное!
			if s._kartoshka
			or s._morkov
			or s._luk
			or s._zelen
			or s._griby
			or s._ryba then
				s._result = 0;
			end
		elseif s._kartoshka then
			if s._griby and s._ryba then -- что-то специфическое
				s._result = 5; -- Что-то странное
			elseif s._ryba then
				s._result = 4; -- Уха
			elseif s._griby then
				s._result = 3; -- Грибной суп
			elseif s._morkov or s._luk or s._zelen then
				s._result = 2; -- Овощной суп
			else
				s._result = 1; -- Картошка
			end
	 	elseif not s._kartoshka then
	 		if s._griby and s._ryba then -- что-то специфическое
	 			s._result = 9; -- Что-то странное
	 		elseif s._ryba then
	 			s._result = 8; -- Уха
	 		elseif s._griby then
	 			s._result = 7; -- Грибной суп
	 		elseif s._morkov or s._luk or s._zelen then
	 			s._result = 6; -- Овощной суп
	 		end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Этим сыт не будешь, однако.'
		end
		
		if s._state == 0 and (w == 'oKartoshka' or w == 'oGriby' or w == 'oRyba' or w == 'oZelen' or w == 'oLuk' or w == 'oMorkov' or w == 'oSol') then
		    return 'Сначала нужно налить в кастрюлю воды.'
		end
		
	end,
	used = function (s, w)
		-- Вычисляем, что получилось
		if not s._sol then -- НЕ солёное!
			if s._kartoshka
			or s._morkov
			or s._luk
			or s._zelen
			or s._griby
			or s._ryba then
				s._result = 0;
			end
		elseif s._kartoshka then
			if s._griby and s._ryba then -- что-то специфическое
				s._result = 5; -- Что-то странное
			elseif s._ryba then
				s._result = 4; -- Уха
			elseif s._griby then
				s._result = 3; -- Грибной суп
			elseif s._morkov or s._luk or s._zelen then
				s._result = 2; -- Овощной суп
			else
				s._result = 1; -- Картошка
			end
	 	elseif not s._kartoshka then
	 		if s._griby and s._ryba then -- что-то специфическое
	 			s._result = 9; -- Что-то странное
	 		elseif s._ryba then
	 			s._result = 8; -- Уха
	 		elseif s._griby then
	 			s._result = 7; -- Грибной суп
	 		elseif s._morkov or s._luk or s._zelen then
	 			s._result = 6; -- Овощной суп
	 		end
		end
		
		if s._state == 0 and (w == 'oKartoshka' or w == 'oGriby' or w == 'oRyba' or w == 'oZelen' or w == 'oLuk' or w == 'oMorkov' or w == 'oSol') then
		    return 'Сначала нужно налить в кастрюлю воды.'
		end
	end,
};




oKartoshka = obj {
	nam = function(s)
		return CndRet(s._ready, 'картошка кубиками', 'картошка');
	end,
	dsc = 'Большую часть огорода занимает делянка с аккуратными кустиками {картофеля}.',
	act = 'Подвысохшие кустики картошки хорошо окучены и прополоты.',
	_ready = false, -- Факт, что приготовлна, имеет смысл при попытке всыпать в кастрюлю
	_haveIt = false, -- Факт, что взята, имеет смысл только при попытке взять ещё
	inv = function(s)
		if s._ready then
			return 'Чищенная картошка, нарезаная кубиками.';
		end
		return 'Картофельные клубни, только что выкопанные.';
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._kartoshka = true;
				inv():del(s);
				return 'Высыпала картошку.';
			else
				return 'Картошка в мундире? Пожалуй, не в этот раз.' 
			end
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Картошка козе совершенно не интересна.'
			end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Хорошая идея, но картошка-то сырая. А парни готовить обычно не любят.'
		end
	end,
	used = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._kartoshka = true;
				inv():del(s);
				return 'Высыпала картошку.';
			else
				return 'Картошка в мундире? Пожалуй, не в этот раз.'
			end 
		end
	end,
};

oMorkov = obj {
	nam = function(s)
		return CndRet(s._ready, 'резаная морковь', 'морковь');
	end,
	dsc = 'Рядом небольшая грядка с {морковью}',
	act = ActFood(s, 'Выдернула морковку.', 'Сидит девица в темнице, а коса на улице.'),
	_ready = false,
	_haveIt = false,
	inv = function(s)
		if s._ready then
			return 'Мелко нарезанная морковь.';
		end
		return 'Аппетитная морковка, прямо из грядки.';
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._morkov = true;
				inv():del(s);
				return 'Высыпала морковь.';
			else
				return 'Не думаю, что следует варить морковку целиком с ботвой.' 
			end
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Коза нюхает воздух, но потом возвращается к своему занятию. Похоже, не любит она морковку.'
			end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Морковка полезная, но не очень-то сытная.'
		end
	end,
	used = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._morkov = true;
				inv():del(s);
				return 'Высыпала морковь.';
			else
				return 'Не думаю, что следует варить морковку целиком с ботвой.' 
			end
		end
	end,
};

oLuk = obj {
	nam = function(s)
		return CndRet(s._ready, 'резаный лук', 'лук');
	end,
	dsc = 'и ещё одна - с {репчатым луком}.',
	act = ActFood(s, 'Выкопала луковицу.', 'Лук - от семи недуг.'),
	_ready = false,
	_haveIt = false,
	inv = function(s)
		if s._ready then
			return 'Мелко нарезанный лук.';
		end
		return 'Экологически чистый лук.';
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._luk = true;
				inv():del(s);
				return 'Добавила лук.';
			else
				return 'Эх, золотистые чешуйки. Хочешь не хочешь, а поплакать придётся.' 
			end
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Коза не обращает на меня внимания.'
			end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Ха. От лука у него начнут слезиться глаза, и он не увидит, как я рою землю. Бред, а не план!'
		end
	end,
	used = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._luk = true;
				inv():del(s);
				return 'Добавила лук.';
			else
				return 'Эх, золотистые чешуйки. Хочешь не хочешь, а поплакать придётся.' 
			end
		end	
	end,
};

oSol = obj {
	nam = 'соль',
	dsc = 'За ней {баночка с солью}.',
	inv = 'Баночка с солью. На вкус - соль.',
	act = function()
	        if game._meetBtard and not game._supGotov then
	            inv():add(oSol);
	            objs():del(oSol);
	            return 'Правильно посолить - это в кулинарии важнейшее дело.'
	        end
	        return 'Стеклянная баночка с пожелтевшей этикеткой, возвещающей, что в далёком прошлом здесь содержалось овощное рагу.'
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			ref(w)._sol = true;
			inv():del(s);
			return 'Посолила.';
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Был бы это лось, он бы соль полизал. А козе это, похоже, не надо.'
			end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Это ж человек, а не лось!'
		end
	end,
	used = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			ref(w)._sol = true;
			inv():del(s);
			return 'Посолила.';
		end
	end,
};

oZelen = obj {
	nam = function(s)
		return CndRet(s._ready, 'резаная зелень', 'зелень');
	end,
	dsc = ' Между грядками растёт {укроп и петрушка}.',
	act = ActFood(s, 'Сорвала немного зелени.', 'Воздух наполнен вкусным укропным запахом.'),
	_ready = false,
	_haveIt = false,
	inv = function(s)
		if s._ready then
			return 'Мелко резанная зелень.';
		end
		return 'Пучёк зелени - петрушка и укроп.';
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._zelen = true;
				inv():del(s);
				return 'Добавила зелени.';
			else
				return 'Надо бы порезать помельче.' 
			end
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Коза нюхает воздух... Я бы на её месте за этим укропом на край света пошла! А она не хочет...'
			end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Предложить пожевать петрушки? Забавная шутка, но он только пуще разозлится!'
		end
	end,
	used = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._zelen = true;
				inv():del(s);
				return 'Добавила зелени.';
			else
				return 'Надо бы порезать помельче.' 
			end
		end
	end,
};

oGriby = obj {
	nam = function(s)
		return CndRet(s._ready, 'резаные грибы', 'грибы');
	end,
	_ready = false,
	_haveIt = false,
	_type = 'Грибчики из леса.',
	inv = function(s)
		if s._ready then
			return 'Нарезанные грибы.';
		end
		return s._type
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._griby = true;
				inv():del(s);
				return 'Добавила грибов.';
			else
				return 'Боюсь, это будет невкусно. Грибы чистить надо!' 
			end
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Грибы? Бесперспективно.'
			end
		end
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Грибы он и сам бы мог собрать. Не поможет...'
		end
		
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._griby = true;
				inv():del(s);
				return 'Добавила грибов.';
			else
				return 'Боюсь, это будет невкусно. Грибы чистить надо!' 
			end
		end
	end,

};

oRyba = obj {
	nam = function(s)
		return CndRet(s._ready, 'чищеная рыба', 'рыба');
	end,
	_ready = false,
	_haveIt = false,
	inv = function(s)
		if s._ready then
			return 'Почищенная и выпотрошенная рыба.';
		end
		return 'Небольшой недавно пойманный сазанчик.';
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._ryba = true;
				inv():del(s);
				s._ready = false;
				return 'Добавила рыбу.';
			else
				return 'Надо бы рыбку хоть почистить от чешуи, что ли...' 
			end
		elseif w == 'oLakeKoza' then
			if ref(w)._seen > 0 then
				return 'Рыбу козе? Забавная, но бесплодная идея.'
			end
		end
		
		if w == 'npcBtard' and npcBtard._Hungry then
		    return 'Рыба вкусна, но её надо готовить. А чувак, наверно, готовить не умеет, оттого пакетичные супы и лопает.'
		end
		
	end,
	use = function(s, w)
		if w == 'oKastrula' and ref(w)._state > 0 then
			if s._ready then
				ref(w)._ryba = true;
				inv():del(s);
				s._ready = false;
				return 'Добавила рыбу.';
			else
				return 'Надо бы рыбку хоть почистить от чешуи, что ли...' 
			end
		end
	end,
	
};


oBidon = obj {
        nam = 'бидон',
	dsc = 'На них стоит пустой {бидон}.',
	inv = function(s)
		if s._result < 0 then
			return 'Пластиковая ёмкость для переноса жидкостей и хранения пищевых продуктов.'
		end
		return 'Бидон с'..GetProductName(s._result);
	end,
	tak = 'Как-то уж больно легко я распоряжаюсь чужим имуществом!',
	_result = -1;
	use = function(s, w)
		if w == 'oKastrula' then 
			if ref(w)._state == 1 then
				return 'Это пока даже не окрошка. Надо сначала всё приготовить!' 
			elseif ref(w)._state == 2 then
				if ref(w)._result < 0 then
					return 'Вода - это ещё не суп! Переливать пока рано.'
				end
				if ref(w)._result == 0 or ref(w)._result == 1 or ref(w)._result > 5 then
					return 'Есть можно, но меня терзают смутные сомненья. Чего-то в супе не хватает.'
				end
				s._result = ref(w)._result;
				objs():del(ref(w));
				game._supGotov = true;
				return 'Аккуратно переливаю содержимое кастрюли в бидон, а саму кастрюлю отправляю на мойку.'
			end
		elseif w == 'npcBtard' then
			if s._result < 0 then
				return 'В бидоне пусто! Или мне его дыркой от бублика угощать?'
			end
			ref(w)._Hungry = false;
			inv():del(s);
			objs('rWhiteStone'):del('oWhiteStoneBichpacket');
			return [[- Я подумала, - говорю самым заискивающим голосом, на который способна, -
			что ты злой, потому что голодный. Я принесла тебе поесть!^^
			Парень оторопел. Недоверчиво посмотрел на меня: что за сумасшедшие тут
			ходят? А может это из Красного Креста уже за ним приехали, прослышав
			о продовольственном кризисе? Или галлюцинации от передозировки пакетичным супом?..^
			Потом он улыбнулся. Потом он сделался довольным, как кот, собирающийся
			сожрать сметану! Это надо было видеть.^^
			- Конечно, на самом деле я очень добрый, - произнёс он, принимая у меня пищу.^
			- Спасибо, - добавил, попробовав. И слопал всё без остатка.  ]]
		
		elseif w == 'oLakeVoda' then
			if s._result < 0 then
				return 'Зачерпнула воды, высоко подняла бидон над головой и с шумом вылила всё за борт! Пузырьки!!'
			end
			return 'Ох! Едва не утопила! У меня же там еда!'

		end
		
		if w == 'oGriby' then
		    return 'Когда нет корзины, и бидон для грибов сгодится!'
		end
		
	end,
	used = function(s, w)
	    if w == 'oGriby' then
		    return 'Когда нет корзины, и бидон для грибов сгодится!'
		end
		
    end,
};


oBuket = obj {
	nam = 'цветы',
	inv = 'Миленький букетик ромашек.',
};


oBumaga1 = obj {
	nam = 'обрывок бумаги',
	dsc = '{Обрывок бумаги} бережно скрыт под стеклом.',
	tak = [[Это кусок карты! Рисовал ребёнок, судя по всему. Самого главного - красного крестика-то и нет.
		^На обороте квадратным размашистым почерком написано:^
		пат^
		зары^
		там!!!]],
	inv = [[Это кусок карты! Рисовал ребёнок, судя по всему. Самого главного - красного крестика-то и нет.
		^На обороте квадратным размашистым почерком написано:^
		пат^
		зары^
		там!!! ]],
    
};


oBumaga2 = obj {
	nam = 'мятая бумага',
	dsc = 'Под ноги попалась {скомканная бумажка}.',
	tak = [[Развернув бумажку, вижу перед собой кусок карты. Рисовал ребёнок, судя по всему.
		^На обороте квадратным размашистым почерком написано:^оны^ты]],
	inv = [[Кусок карты. Рисовал ребёнок, судя по всему.
		^На обороте квадратным размашистым почерком написано:^оны^ты]],	
	use = function (s, b)
	    if b == 'oBumaga1' then
		inv():del(oBumaga2)
		inv():del(oBumaga1)
		inv():add(oKarta)
		return 'Это части одного и того же документа!';
		end
		
		if b == 'npcBtard' then
		    return 'Не отдам!'
		end
	end,
	used = function (s, b)
	    if b == 'oBumaga1' then
		inv():del(oBumaga2)
		inv():del(oBumaga1)
		inv():add(oKarta)
		return 'Это части одного и того же документа!';
		end
	end,

};


oKarta = obj {
	nam = 'карта',
	inv = [[ Совместив две части карты, получаем следующее.
	^С одной стороны листа нарисован большой кружок, вокруг деревья. В кружке 
	маленький овал с двумя рожками и прямоугольник, снабжённый двумя колёсами (большим и маленьким),
	трубой и кабиной. Между ними крестик.
	^^На обратной стороне надпись: <<Патроны зарыты там!!!>>
	^Итак, мой дорогой Ватсон, очевидно, что малышня, отдыхавшая летом в деревне, откуда-то достала патроны и
	закопала их в указанном месте.]],
	use = function(s, b)
            if w == 'npcBtard' then
		        return 'Не отдам!'
		    end
    end,	
	
};


oSunduk = obj {
	nam = 'сундук',
	inv = 'В сундучке пепельница, бусы, вилки вроде серебряные и несколько старинных монет.',
	use = function(s, b)
            if w == 'npcBtard' then
		        return 'Хвастаться особо нечем.'
		    end
    end,	
};





--------------------------- Разные военные находки----------------------------

oWarPulemet = obj {
	nam = 'ржавая пластина',
	dsc = '{Что-то} лежит на дне.',
	tak = function(s)
		ThisPlaceIsWrong();
		return 'Хм... Какая-то ржавая железка. А где мой сундук? Наврала, похоже, баба Дуся... Возьму как память о моей доверчивости.' 
	end,
	inv = 'Ржавая металлическая пластина неправильной формы. Довольно большая, довольно толстая и довольно тяжёлая.',
	use = function(s, w)
		if game._detectOption and (w == 'npcBtard') then
			inv():del(s);
			return goto('rBtardGo');
		end
		if not npcBtard._Hungry and not game._detectOption and w == 'npcBtard' then
		    return 'Не знаю, стоит ли показывать... Будет ли ему интересно...'
		end
	end,
};


oMachineGun = obj {
	nam = 'автомат',
	dsc = function()
	        if not game._semenUProhor and not oMachineGun._Say then
	            return 'Посреди палатки красуется откуда-то взявшийся {автомат}.'
	        end
	        if have(oSunduk) then
	            return 'Автомата нет! Вредина Семён его куда-то дел от греха подальше.'
	        end
	        return 'Посреди палатки горделиво красуется Семёнов трофей - {автомат}.'
	        end,
	act = function(s)		
		if not game._semenUProhor and not game._follow then
		    return 'Внушительное оружие... С ним бы и людоед не страшен. Но не стоит сундук такого риска!'
		end
		
		if not game._semenUProhor then
		      return [[- Каков? - Семён просто сият. - Я раскопал его там же, где ты нашла щиток. Он глубже лежал.]]
		end
		
		inv():add(oMachineGun);
		objs():del(oMachineGun);
		return [[ Вот то, что мне надо, чтобы перестать бояться. Оружие! Придётся взять - чёрт с ним, с сундуком, но Семёна-то спасать надо. ]]
	end,
	inv = function()
	        if oMachineGun._Get then
	            oMachineGun._Get = false;
	            oMachineGun._Tested = true;
	            game._fear = false;
	            game._haveGun = true;
	            return 'Ух ты! Автомат дёрнулся в руке и раздался ужасный грохот. Мимо, разумеется, но впечатляет!'
	        end
	        
	        if oMachineGun._Tested then
	            return 'Хватит практиковаться, а то патроны кончатся. Пора идти к людоеду. Семёна спасать.'
	        end
	        
	        if oMachineGun._Test then
	            return 'Практически целый автомат ППШ, даже не сильно ржавый. Заряженный и работоспособный, спасибо бабе Дусе.'
	        end
	        
	        return 'Практически целый автомат ППШ, даже не сильно ржавый. Правда, похоже, без патронов и песком весь забит.'
	end,
	use = function(s, t)
	    if t == 'npcDed' then
 	        return goto(resSunduk)	          
 	    end
 	    
 	    if t == 'npcBtard' then
 	        return 'В Семёна не надо! Он жалкий прихвостень, а не главный злодей!'	          
 	    end
	
	    if oMachineGun._Test and not (me().where == 'rBaba') and not (me().where == 'rBabaEnter') and not (me().where == 'rPalatka') and not (t == 'oWhiteStoneShmel') and not (t == 'oWhiteStonePalatka') then
	        oMachineGun._Get = true;
	        return 'Взяла на мушку! Время жать на курок.'
	    end
	    
	    if oMachineGun._Test and (me().where == 'rBaba' or me().where == 'rBabaEnter' or me().where == 'rPalatka' or t == 'oWhiteStoneShmel' or t == 'oWhiteStonePalatka') then
	        return 'Выберу себе другую мишень.'
	    end
	
 	    
 	end,
};



oWarBomb = obj {
	nam = NamActInvCnd('гнутая железка', 'осколок снаряда'),
	dsc = 'На дне ямы лежит небольшая, чудным образом изогнутая {железяка} с рваными краями.',
	_seen = false,
	tak = function(s)
		return 'След войны... Возьму, вдруг пригодится.' 
	end,
	inv = NamActInvCnd('Небольшая, чудным образом изогнутая железяка с рваными краями.', 
		'Осколок миномётного снаряда. Гнутый, ржавый, с острыми рваными краями.'),
	use = UseWarDetect('Семён повертел железку в руках.^- Это осколок от миномётного снаряда. Сдай в металлолом. Или выброси.'),
};


oWarZnak = obj {
	nam = NamActInvCnd('странный значок', 'застёжка от ремня'),
	dsc = 'Веду раскопки, нашла {что-то мелкое}.',
	_seen = false,
	tak = function(s)
		return 'Подобрала забавный значок.' 
	end,
	inv = NamActInvCnd('Значок с черепом и костями.', 'Немецкая офицерская застёжка от ремня. С черепом и костями.'),
	use = UseWarDetect([[- Хм... - Семён прищурился и посмотрел сквозь дырку в значке.^
				- Это немецкая ременная застёжка. Металлистам продай, они такие любят.]]),
};


oLopata = obj {
	nam = 'лопата',
	dsc = 'Рядом с картофельной делянкой в землю воткнута {лопата}.',
	tak = 'Взяла лопату себе.',
	inv = function(s)
		if rnd(100) > 90 then
			return 'Если расказывают анекдот, нужно смеяться после слова <<лопата>>.';
		end
		return 'Добротная штыковая лопата. Чуть тронута ржавчиной, край лезвия острый и блестит на солнце. Самая нужная вещь в моём деле.'
	end,
	use = function(s, w)
	  if not have(w) then
		if w == 'oKartoshka' and me().where == 'rBabaOgorod' then
			local actFood = ActFood(ref(w), 'Накопала немного картошки.', 'Подвысохшие кустики картошки уже хорошо окучены и прополоты.');
			return actFood(ref(w));
		elseif w == 'oMorkov' and me().where == 'rBabaOgorod' then
			local actFood = ActFood(ref(w), 'Накопала немного морковки.', 'Копать огород - занятие не для кладоискателей!');
			return actFood(ref(w));
		elseif w == 'oLuk' and me().where == 'rBabaOgorod' then
			local actFood = ActFood(ref(w), 'Выкопала луковицу.', 'Копать огород - занятие не для кладоискателей!');
			return actFood(ref(w));
	    elseif w == 'oZelen' and me().where == 'rBabaOgorod' then
			local actFood = ActFood(ref(w), 'Обзавелась зеленью.', 'Копать огород - занятие не для кладоискателей!');
			return actFood(ref(w));
		elseif w == 'oLodka' and ref(w)._float and not ref(w)._vesla then
			return DoStartBoat(ref(w), 'Оттолкнулась от берега и медленно поплыла, загребая лопатой...^')
		elseif (w == 'oLakeKoza') and IsLakeKoza() then
			objs():del(ref(w));
			return 'Пошла в атаку с лопатой наперевес! Ураааа! Наша взяла. Коза с блеянием умчалась куда-то в лес.'
		-- Копаем в разных местах
		elseif w == 'oWrongWhiteStone' then
			if IsLakeKoza() then
				return 'Боюсь, если попытаюсь копать, могу получить рогами под зад.'
			end
			if not ref(w)._diged then
				ref(w)._diged = true;
				objs():add('oYamaWrongWhiteStone');
				objs():add('oWarPulemet');
				return [[Это здесь! Не торопясь раскапываю землю, чтобы суетой не испортить такой торжественный момент.^
					Наконец лопата со звяканием ударяется обо что-то твёрдое... Сундук?^
					Честно говоря, мне и сейчас в это не верится!!]];
			end
			if game._wrongPlace then
				return 'Тут я уже копала. А результат? :('
			end 
			return 'Тут я уже всё раскопала!'
		elseif w == 'oLakeOgorod' then
			if game._wrongPlace then
				return 'Копать не перекопать! Может, на тот год картошку здесь посадить?'
 			elseif game._babaSay then
				return 'Сундук явно не здесь... Но где-то рядом...'
			end
		elseif w == 'oThreasureStone' or w == 'oWhiteStoneIvanchai' or w == 'oWhiteStoneMalina' then
			-- Проверяем, возможно ли тут копать
			if not game._canDigThreasure then
				return 'Мне кажется, что раскопки вроде моих лучше проводить без свидетелей.'
			end
			if ref(w)._diged then
				return 'Тут я уже копала и выкопала.'
			end
			ref(w)._diged = true;
			return goto(rDayTwo);
		elseif w == 'oOkop' then
			if ref(w)._diged then
				return 'Кажется, тут всё уже перекопано.' 
			end
			ref(w)._diged = true;
			return goto(rOpenMachineGun);
		elseif w == 'oPoleTraktor' and have(oKarta) and not have(oPatrony) then
		    oPatrony._Kop = true;
		    objs():add(oPatrony)
		    inv():del(oKarta)
		    return [[Я стала рыть наугад. По карте нельзя было понять, где именно зарыты патроны.
		    Где-то в этой грязи! Чувство брезгливости быстро сменилось удовольствием. В отвесной стене
		    у меня получалась пещера. Славно окунулась в детство! Патроны нашлись. ]]
		
		
	    elseif ((me().where == 'rLesS' or me().where == 'rLesY' or me().where == 'rLesSecretY' or me().where == 'rLakeS' or me().where == 'rLakeSV' or me().where == 'rLakeYZ' or me().where == 'rLakeV' or me().where == 'rLakeZ' or me().where == 'rDerevnya' )
	    and not (w == 'oLesSecretYSeti') and not (w == 'oLakeTown') and not (w == 'oBumaga2') and not (w == 'oLakeMostki') and not (w == 'oLakePlazh') and not (w == 'oLodka') and not (w == 'oKora') and not (w == 'oShest') and not (w == 'oVesla') and not (w == 'oLakeKuvshinki') and not (w == 'oLakeKorni') and not (w == 'oGribPodosinovik') and not (w == 'oGribLisichka') and not (w == 'oGribPodberezovik') and not (w == 'oGribBorovik') and not (w == 'oLesPenS') and not (w == 'oDerevnyaDedDom') ) or w == 'oLakeTropa' then
	        return RandomLocation(
	        'М-да... Копать, не перекопать!',
	        'Чувствую себя ополоумевшим кротом.',
	        'Копаю... Пожалуй, тут ничего не зарыто. Закапываю обратно.',
	        'Эх, ёлки-палки... копалки!',
	        'Мою бы энергию да в мирных целях!..')
	
	    elseif (((me().where == 'rBaba' or me().where == 'rBabaEnter' or me().where == 'rStation' or me().where == 'rPalatka' or me().where == 'rWater' or me().where == 'rLake' or me().where == 'rDedDom' or me().where == 'rIzbushkaIns') and not (w == 'npcDusa') and not (w == 'npcDed') and not (w == 'npcBtard')) or w == 'oLesSecretYSeti' or w == 'oBumaga2' or w == 'oLakeMostki' or w == 'oLodka' or w == 'oShest' or w == 'oVesla' or w == 'oLakeKuvshinki' or w == 'oDerevnyaDedDom') and not (w == 'oIzbushkaDver') and not (w == 'oIzbushkaObed') and not (w == 'oIzbushkaNory') then
	        return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
	    elseif me().where == 'rIzbushka' then
	        return 'Неподходящее место для раскопок. Я не трус, но я боюсь!'
	    end
--	else return ''
	end
	end,
};

oPatrony = obj {
	nam = 'патроны',
	dsc = '{Патроны} завёрнуты в лист лопуха и замотаны резинкой.',
	tak = 'Лишним не будет!',
	inv = 'Небольшие заострённые цилиндрики.',
	use = function(s, t)
	    if t == 'oMachineGun' then
	        return 'Куда патроны вставляются? Без понятия!'
	    end
	end,
	used = function(s, t)
	    if t == 'oMachineGun' then
	        return 'Куда патроны вставляются? Без понятия!'
	    end
	end,
};






